from fastapi import APIRouter

from app.routers.auth_router import auth_router
from app.routers.user_router import user_router
from app.routers.catalog_router import catalog_router
from app.routers.cart_router import cart_router
from app.routers.order_router import order_router
from app.routers.review_router import review_router
from app.routers.content_router import content_router
from app.routers.analytics_router import analytics_router

# Создаем основной роутер
router = APIRouter()

# Включаем все роутеры в основной роутер
router.include_router(auth_router)
router.include_router(user_router)
router.include_router(catalog_router)
router.include_router(cart_router)
router.include_router(order_router)
router.include_router(review_router)
router.include_router(content_router)
router.include_router(analytics_router) 